﻿
.toast-btn {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 10px 5px;
    margin: 2em auto;
    padding: 1.5rem;
    border: none;
    font-weight: 500;
    border-radius: 3px;
    cursor: pointer;
    min-width: 150px;
    font-size: 1.2rem;
    outline: none;
    background: #3498db;
    color: #fff;
}

    .toast-btn:hover {
        filter: brightness(0.8);
    }

button.success-toast {
    background-color: #27ae60;
}

button.danger-toast {
    background-color: #c0392b;
}

button.info-toast {
    background-color: #2980b9;
}

button.warning-toast {
    background-color: #f39c12;
}

.toasts {
    position: fixed; 
    top: 1rem;
    right: 1rem;
    z-index: 1060;
}

.toasts.toast-dock-top-center {
    top: 1rem;
    left: 50%;
    right: auto;
    transform: translateX(-50%);
    margin: 5px 0;
}

.toasts.toast-dock-top-center .toast-notification,
.toasts.toast-dock-top-center .master-toast-notification,
.toast-center-stay {
    transform: none !important;
    animation: none !important;
}

.toast-notification {
    width: 350px;
    margin-bottom: .75rem;
    background: #f8f8ff;
    border-radius: 10px;
    box-shadow: 0 8px 24px rgba(0,0,0,.35);
    overflow: hidden;
}

.hide-toast {
    display: none;
}

.toast-notification .toast-content {
    font-weight: 400;
    color: #353b48;
    padding: 1rem;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 0 1rem;
}

.toast-notification .toast-icon {
    background-color: #27ae60;
    color: #fff;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
}

    .toast-notification .toast-icon i {
        font-size: 1.25rem;
    }

.toast-notification .toast-progress,
.master-toast-notification .toast-progress {
    display: none !important;
    height: 0 !important;
}

.toast-notification .toast-progress-bar {
    display: none !important;
}

.slide-in-slide-out {
    animation: slideInRight 0.3s ease-in-out forwards, slideOutRight 0.5s ease-in-out forwards 3s;
    transform: translateX(110%);
}

.slide-in-fade-out {
    animation: slideInRight 0.3s ease-in-out forwards, fadeOut 0.5s ease-in-out forwards 3s;
    transform: translateX(110%);
}

.wiggle-me {
    animation: wiggle 2s ease-in;
}

@keyframes slideInRight {
    0% {
        transform: translateX(110%);
    }

    75% {
        transform: translateX(-10%);
    }

    100% {
        transform: translateX(0%);
    }
}

@keyframes slideOutRight {
    0% {
        transform: translateX(0%);
    }

    25% {
        transform: translateX(-10%);
    }

    100% {
        transform: translateX(110%);
    }
}

@keyframes fadeOut {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

@keyframes toastProgress {
    0% {
        width: 100%;
    }

    100% {
        width: 0%;
    }
}

@keyframes wiggle {
    0%, 7% {
        transform: rotateZ(0);
    }

    15% {
        transform: rotateZ(-13deg);
    }

    20% {
        transform: rotateZ(9deg);
    }

    25% {
        transform: rotateZ(-10deg);
    }

    30% {
        transform: rotateZ(7deg);
    }

    35% {
        transform: rotateZ(-2deg);
    }

    40%, 100% {
        transform: rotateZ(0);
    }
}
